import request from '@/utils/request'


// 获取领用申请一级列表-列表
export function getLeasePublishList(query) {
  return request({
    url: '/material/leaseTask/getPublishList',
    method: 'get',
    params: query
  })
}


// 获取领用申请详情
export function getApplyInfo(query) {
  return request({
    url: '/material/leaseTask/getDetailsById',
    method: 'get',
    params: query
  })
}

// 通过三级获取四级下拉规格框
export function getTypeOptions(query) {
  return request({
    url: '/material/ma_type/selectMaTypeListByTypeId',
    method: 'get',
    params: query
  })
}

// 领用发布
export function applySubmit(data) {
  return request({
    url: '/material/leaseTask/addPublish',
    method: 'post',
    data
  })
}







